| GL Studio C++ Runtime API

Public Member Functions | Protected Attributes | List of all members
GlsRSO1_ResourceFilterImpl Class Reference

`#include <gls_rso_container_util.h>`

Inheritance diagram for GlsRSO1_ResourceFilterImpl:

## Public Member Functions
| GlsRSO1_ResourceFilterImpl (GlsResourceFilter *filter)
void | Filter (GlsResourceFilter *filter)
GlsResourceFilter * | Filter ()
virtual int | LevelsUp () const
virtual void | LevelsUp (int value)
virtual int | GroupLevelsDown () const
virtual void | GroupLevelsDown (int value)
virtual bool | NamesOnly () const
virtual void | NamesOnly (bool value)
virtual void | AddExclude (const char *str)
virtual int | ExcludeCount () const
virtual const char * | GetExclude (int index) const
virtual void | AddInclude (const char *str)
virtual int | IncludeCount () const
virtual const char * | GetInclude (int index) const
virtual bool | PassFilter (const char *name) const

## Protected Attributes
GlsResourceFilter * | _filter

## Detailed Description

Standard implmentation for the RSO1_ResourceFilter interface This wraps the GlsResourceFilter class

## Constructor & Destructor Documentation

## ◆ GlsRSO1_ResourceFilterImpl()

GlsRSO1_ResourceFilterImpl | ( | GlsResourceFilter * | filter | ) |
| inline

Constructor

Parameters

  filter | The filter object to wrap.

## Member Function Documentation

## ◆ AddExclude()

virtual void AddExclude | ( | const char * | str | ) |
| inline virtual

Manage the exclude list. Takes precedence over includes.

Parameters

  str | The new name to add to the exclude list.

## ◆ AddInclude()

virtual void AddInclude | ( | const char * | str | ) |
| inline virtual

Manage the include list.

Parameters

  str | The new name to add to the include list.

## ◆ ExcludeCount()

virtual int ExcludeCount | ( |  | ) | const
| inline virtual

Returns
  The number of items in the exclusion list.

## ◆ Filter() [1/2]

GlsResourceFilter * Filter | ( |  | ) |
| inline

Returns
  The current filter object.

## ◆ Filter() [2/2]

void Filter | ( | GlsResourceFilter * | filter | ) |
| inline

Change the filter object that this interface is wrapping.

Parameters

  filter | The new filter to set.

## ◆ GetExclude()

virtual const char * GetExclude | ( | int | index | ) | const
| inline virtual

Returns
  The name of the exclude item associated with the index.

Parameters

  index | The index whose name is to be returned.

## ◆ GetInclude()

virtual const char * GetInclude | ( | int | index | ) | const
| inline virtual

Returns
  The name of the include item associated with the index.

Parameters

  index | The index whose name is to be returned.

## ◆ GroupLevelsDown() [1/2]

virtual int GroupLevelsDown | ( |  | ) | const
| inline virtual

Returns
  The current levels of children to show.

## ◆ GroupLevelsDown() [2/2]

virtual void GroupLevelsDown | ( | int | value | ) |
| inline virtual

How many levels of children to show. 0 means don't show any children properties -1 means all the way down.

Parameters

  value | The new levels of children to show.

## ◆ IncludeCount()

virtual int IncludeCount | ( |  | ) | const
| inline virtual

Returns
  The number of items in the inclusion list.

## ◆ LevelsUp() [1/2]

virtual int LevelsUp | ( |  | ) | const
| inline virtual

Returns
  The current levels of qualification to show in the name. -1 means full qualification.

## ◆ LevelsUp() [2/2]

virtual void LevelsUp | ( | int | value | ) |
| inline virtual

How many levels of qualification to show in the name. -1 means full qualification.

Parameters

  value | the new qualification level to set

## ◆ NamesOnly() [1/2]

virtual bool NamesOnly | ( |  | ) | const
| inline virtual

Returns
  Whether or not to show names, or names and values.

## ◆ NamesOnly() [2/2]

virtual void NamesOnly | ( | bool | value | ) |
| inline virtual

If true, only a list of names will be returned. Values will not be returned. The format changes to not include the ":".

Parameters

  value | The new name format flag to set.

## ◆ PassFilter()

virtual bool PassFilter | ( | const char * | name | ) | const
| inline virtual

Check a name against the filter.

Parameters

  name | The name to check against the filter.

Returns
  Whether or not the name passes the filter (to be included in the results).

## Member Data Documentation

## ◆ _filter

GlsResourceFilter* _filter
| protected

Reference to the GlsResourceFilter object being wrapped. The GlsRSO1_ResourceFilterImpl does not delete this object.

The documentation for this class was generated from the following file:

- gls_rso_container_util.h